/**
 *Amb aquesta directiva creem un placeholder per a representar missatges d'avis generics provinents del servidor 
 */
(function() {
    'use strict';

    var alert = {
        template: '<div class="alerts" ng-cloak="">' +
                        '<div ng-repeat="alert in $ctrl.alerts" ng-class="[alert.position]">' +
                            '<uib-alert ng-cloak="" type="{{alert.type}}" close="alert.close($ctrl.alerts)"><pre>{{ alert.msg }}</pre></uib-alert>' +
                        '</div>' +
                  '</div>',
        controller: alertController
    };

    angular
        .module('gestreformApp')
        .component('alert', alert);

    alertController.$inject = ['$scope', 'AlertService'];

    function alertController($scope, AlertService) {
        var vm = this;

        vm.alerts = AlertService.get();
        $scope.$on('$destroy', function () {
            vm.alerts = [];
        });
    }
})();
