/**
 * Amb aquest servei obtenim les dades de registre de l'usuari autenticat.
 * Es fa servir per obtenir els seus privilegis, i dades de presentacio com nom d'usuari, etc. 
 */
(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .factory('Account', Account);

    Account.$inject = ['$resource', 'ApplicationConstants'];

    function Account ($resource, ApplicationConstants) {
        var service = $resource(ApplicationConstants.apiRootEndpoint + '/account', {}, {
            'get': { method: 'GET', params: {}, isArray: false,
                interceptor: {
                    response: function(response) {
                        return response;
                    }
                }
            }
        });

        return service;
    }
})();
