(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .controller('ClientController', ClientController);

    ClientController.$inject = ['$scope', '$state', 'ClientService'];

    function ClientController ($scope, $state, ClientService) {
        var vm = this;
        vm.clients = [];
        vm.loadAll = function() {
            ClientService.query(function(result) {
                vm.clients = result;
            });
        };

        vm.loadAll();
        
    }
})();
