(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .controller('PressupostConfirmStateChangeDialogController', PressupostConfirmStateChangeDialogController);

    PressupostConfirmStateChangeDialogController.$inject = ['$scope', '$rootScope', '$stateParams', '$uibModalInstance'];

    function PressupostConfirmStateChangeDialogController ($scope, $rootScope, $stateParams, $uibModalInstance) {
        var vm = this;
        
        vm.estatValueLabelMapping = {
			"PENDENT" : "Pendent",
			"CANCELLAT" : "Cancel·lat",
			"DENEGAT" : "Denegat",
			"EN_PROCES" : "En Procés",
			"FINALITZAT": "Finalitzat"
        };
        
        vm.newState = $stateParams.newState;
        
        vm.clear = function() {
            $uibModalInstance.dismiss('cancel');
        };
        
        vm.confirmStateChange = function() {
        	$scope.$emit("gestreformApp:confirmStateChange", vm.newState);		// Notifiquem que l'usuari ha dit que si
        	$uibModalInstance.dismiss('cancel');
        };        
    }
})();
