(function() {
    'use strict';

    angular
        .module('gestreformApp', [
            'ngStorage', 
            'ngResource',
            'ngCacheBuster',
            'ui.bootstrap',
            'ui.bootstrap.datetimepicker',
            'ui.router',
            'ab-base64',
            'angularMoment'
        ])
        .run(rootScopeConfig)
        .run(run);


    
    rootScopeConfig.$inject=['$rootScope', 'ApplicationConstants'];
    run.$inject = ['stateHandler'];

    // Configuracio del $rootScope
    function rootScopeConfig($rootScope, ApplicationConstants) {
    	// Injectem les constants al root scope, de forma que pugin ser accessibles tambe directament al HTML
    	$rootScope.ApplicationConstants = ApplicationConstants;
    }
    
    function run(stateHandler) {
    	// Inicialitzem la maqina d'estats de l'aplicacio
        stateHandler.initialize();
    }

})();
