(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .config(stateConfig);

    stateConfig.$inject = ['$stateProvider', 'ApplicationConstants'];

    function stateConfig($stateProvider, ApplicationConstants) {
        $stateProvider.state('home', {
            parent: 'app',
            url: '/',
            data: {
                profiles: []
            },
            views: {
                'content@': {
                    templateUrl: ApplicationConstants.mainWebModuleRoot + '/app/home/home.html',
                    controller: 'HomeController',
                    controllerAs: 'vm'
                }
            }
        });
    }
})();
