package edu.uoc.tfc.sosuna.gestreform.rest;

import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.web.SpringBootServletInitializer;

import edu.uoc.tfc.sosuna.gestreform.GestReformApp;

/**
 * Alternativa programatica de definicio del descriptor de desplegament "web.xml" a SpringBoot
 * 		https://docs.spring.io/spring-boot/docs/current/reference/html/howto-traditional-deployment.html}
 */
public class ApplicationWebXml extends SpringBootServletInitializer {

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application
        	.profiles(GestReformApp.SPRING_PROFILE_DEVELOPMENT)
            .sources(GestReformApp.class);
    }

}
