package edu.uoc.tfc.sosuna.gestreform.rest.dto;

import java.util.Objects;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;


public class ClientDTO {
	private Long id;

    @NotNull
    @Size(min = 9, max = 9)
    private String nif;


    @NotNull
    @Size(min = 1, max = 50)
    private String nom;


    @NotNull
    @Size(min = 1, max = 50)
    private String cognom1;


    @Size(min = 1, max = 50)
    private String cognom2;


    @NotNull
    @Size(min = 1, max = 50)
    private String email;


    @NotNull
    @Size(min = 1, max = 50)
    private String telefon;


    @NotNull
    @Size(min = 1, max = 1000)
    private String adreca;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getNif() {
        return nif;
    }

    public void setNif(String nif) {
        this.nif = nif;
    }
    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }
    public String getCognom1() {
        return cognom1;
    }

    public void setCognom1(String cognom1) {
        this.cognom1 = cognom1;
    }
    public String getCognom2() {
        return cognom2;
    }

    public void setCognom2(String cognom2) {
        this.cognom2 = cognom2;
    }
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }
    public String getAdreca() {
        return adreca;
    }

    public void setAdreca(String adreca) {
        this.adreca = adreca;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ClientDTO clientDTO = (ClientDTO) o;

        if ( ! Objects.equals(id, clientDTO.id)) {
			return false;
		}

        return true;
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(id);
    }

    @Override
    public String toString() {
        return "ClientDTO{" +
            "id=" + id +
            ", nif='" + nif + "'" +
            ", nom='" + nom + "'" +
            ", cognom1='" + cognom1 + "'" +
            ", cognom2='" + cognom2 + "'" +
            ", email='" + email + "'" +
            ", telefon='" + telefon + "'" +
            ", adreca='" + adreca + "'" +
            '}';
    }
}
