package edu.uoc.tfc.sosuna.gestreform.rest.mapper;

import java.util.List;

import edu.uoc.tfc.sosuna.gestreform.model.Client;
import edu.uoc.tfc.sosuna.gestreform.rest.dto.ClientDTO;

/**
 * Mapeig DTO <==> domain object per l'entitat "Client".
 */
public interface ClientMapper {

    ClientDTO clientToClientDTO(Client client);

    List<ClientDTO> clientsToClientDTOs(List<Client> clients);

    Client clientDTOToClient(ClientDTO clientDTO);

    List<Client> clientDTOsToClients(List<ClientDTO> clientDTOs);
}
