package edu.uoc.tfc.sosuna.gestreform.rest.mapper;

import java.util.List;

import edu.uoc.tfc.sosuna.gestreform.model.Manobre;
import edu.uoc.tfc.sosuna.gestreform.rest.dto.ManobreDTO;

/**
 * Mapeig DTO <==> domain object per l'entitat "Manobre".
 */
public interface ManobreMapper {

    ManobreDTO manobreToManobreDTO(Manobre manobre);

    List<ManobreDTO> manobresToManobreDTOs(List<Manobre> manobres);

    Manobre manobreDTOToManobre(ManobreDTO manobreDTO);

    List<Manobre> manobreDTOsToManobres(List<ManobreDTO> manobreDTOs);
}
