/**
 * Amb aquest interceptor convertim les notificacions rebudes del servidor en missatges dins
 * de la pagina actual. 
 */
(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .factory('notificationInterceptor', notificationInterceptor);

    notificationInterceptor.$inject = ['$q', 'AlertService'];

    function notificationInterceptor ($q, AlertService) {
        var service = {
            response: response
        };

        return service;

        function response (response) {
            var alertKey = response.headers('X-GestReform-message');
            if (angular.isString(alertKey)) {
                AlertService.success(alertKey, { param : response.headers('X-GestReform-params')});
            }
            return response;
        }
    }
})();
