(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .config(stateConfig);

    stateConfig.$inject = ['$stateProvider', 'ApplicationConstants'];

    function stateConfig($stateProvider, ApplicationConstants) {
        $stateProvider
            .state('error', {
                parent: 'app',
                url: '/error',
                data: {
                    profiles: [],
                    pageTitle: "Pagina d'error!"
                },
                views: {
                    'content@': {
                        templateUrl: ApplicationConstants.commonsWebModuleRoot + '/app/angular/layouts/error/error.html'
                    }
                }
            })
            .state('accessdenied', {
                parent: 'app',
                url: '/accessdenied',
                data: {
                    profiles: []
                },
                views: {
                    'content@': {
                        templateUrl: ApplicationConstants.commonsWebModuleRoot + '/app/angular/layouts/error/access-denied.html'
                    }
                }
            });
    }
})();
