(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .controller('PressupostSelectClientDialogController', PressupostSelectClientDialogController);

    PressupostSelectClientDialogController.$inject = ['$scope', '$rootScope', '$stateParams', '$uibModalInstance', 'ClientService'];

    function PressupostSelectClientDialogController ($scope, $rootScope, $stateParams, $uibModalInstance, ClientService) {
        var vm = this;
        
        vm.clients = null;
        ClientService.query(function(result) {
        	vm.clients = result;
        });
        
        vm.selectedClientId = $stateParams.currentClientId;
        
        vm.clear = function() {
            $uibModalInstance.dismiss('cancel');
        };
        
        vm.confirmSelectClient = function(id) {
        	$rootScope.confirmSelectClient(id);
            $uibModalInstance.dismiss('cancel');
        };        
    }
})();
