(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .controller('PressupostSelectComercialDialogController', PressupostSelectComercialDialogController);

    PressupostSelectComercialDialogController.$inject = ['$scope', '$rootScope', '$stateParams', '$uibModalInstance', 'UsuariService'];

    function PressupostSelectComercialDialogController ($scope, $rootScope, $stateParams, $uibModalInstance, UsuariService) {
        var vm = this;
        
        vm.comercials = null;
        UsuariService.query({ flavour: "filterByProfile", profile: "COMERCIAL"}, function(result) {
        	vm.comercials = result;
        });
        
        vm.selectedComercialId = $stateParams.currentComercialId;
        
        vm.clear = function() {
            $uibModalInstance.dismiss('cancel');
        };
        
        vm.confirmSelectComercial = function(id) {
        	$rootScope.confirmSelectComercial(id);
            $uibModalInstance.dismiss('cancel');
        };        
    }
})();
