(function() {
    'use strict';
    angular
        .module('gestreformApp')
        .factory('ManobreService', ManobreService);

    ManobreService.$inject = ['$resource', 'ApplicationConstants'];

    function ManobreService ($resource, ApplicationConstants) {
        var resourceUrl =  ApplicationConstants.apiRootEndpoint + '/manobres/:id';

        return $resource(resourceUrl, {}, {
            'query': { method: 'GET', isArray: true},
            'get': {
                method: 'GET',
                transformResponse: function (data) {
                    data = angular.fromJson(data);
                    return data;
                }
            },
            'update': { method:'PUT' }
        });
    }
})();
