(function () {
    var SERVER_ROOT="..";
	var API_ROOT_ENDPOINT = SERVER_ROOT + "/gestreform-wsapi";
	
	"use strict";
    angular.module("gestreformApp")
	    // Constants de l'aplicacio
	    .constant("ApplicationConstants", {
	    	
	    	applicationName: "GestReform",
	    	
	    	// Rutes relatives al modul "main"
	    	oauthRootEndpoint: (API_ROOT_ENDPOINT+"/oauth"),
	    	logoutEndpoint: (API_ROOT_ENDPOINT+"/logout"),
	    	apiRootEndpoint: API_ROOT_ENDPOINT,	    	
	    	commonsWebModuleRoot: (SERVER_ROOT+"/gestreform-web-commons"),
	    	mainWebModuleRoot: (SERVER_ROOT+"/gestreform-web-main"),
	    	adminusuarisWebModuleRoot: (SERVER_ROOT+"/gestreform-web-adminusuaris"),
	    	gestiotreballWebModuleRoot: (SERVER_ROOT+"/gestreform-web-gestiotreball"),
	    	
	    	defaultWindowTitle: "GestReform",
	    	
			// Format de les dades
			dateFormat: 'd/M/yyyy',

			// Parametres per a la autenticacio OAuth2 amb l'aplicacio
			authentication: 
			{
				clientId: 'GestReform',
				clientSecret: 'GestReformOAuthSecret'
			}			
	    })
})();
