(function() {
    'use strict';

    angular
        .module('gestreformApp')
        .config(stateConfig);

    stateConfig.$inject = ['$stateProvider', 'ApplicationConstants'];

    function stateConfig($stateProvider, ApplicationConstants) {
        $stateProvider.state('app', {
            abstract: true,
            views: {
                'navigation-bar@': {
                    templateUrl: ApplicationConstants.commonsWebModuleRoot + '/app/angular/layouts/navigation-bar/navigation-bar.html',
                    controller: 'NavigationBarController',
                    controllerAs: 'vm'
                }
            },
            resolve: {
                authorize: ['AuthenticationService',
                    function (AuthenticationService) {
                        return AuthenticationService.authorize();
                    }
                ]
            }
        });
    }
})();
