package edu.uoc.tfc.sosuna.gestreform.rest.mapper;

import java.util.List;

import edu.uoc.tfc.sosuna.gestreform.model.Usuari;
import edu.uoc.tfc.sosuna.gestreform.rest.dto.UsuariDTO;

/**
 * Mapeig DTO <==> domain object per l'entitat "Usuari".
 */
public interface UsuariMapper {

    UsuariDTO usuariToUsuariDTO(Usuari usuari);

    List<UsuariDTO> usuarisToUsuariDTOs(List<Usuari> usuaris);

    Usuari usuariDTOToUsuari(UsuariDTO usuariDTO);

    List<Usuari> usuariDTOsToUsuaris(List<UsuariDTO> usuariDTOs);
}
